> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Eliminar lógicamente un blueprint

<div id="permissions">
  ## Permisos
</div>

Requiere un usuario de servicio con el permiso `ManageRepoBlueprints` a nivel de organización. Para eliminar blueprints de nivel de organización, se requiere el permiso `ManageOrgSnapshots`.

<div id="behavior">
  ## Comportamiento
</div>

Elimina de forma lógica el blueprint.


## OpenAPI

````yaml es/v3-openapi.yaml DELETE /v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}
openapi: 3.1.0
info:
  description: API de Devin v3 con autenticación mediante usuario de servicio y RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}:
    delete:
      tags:
        - snapshot_setup
      summary: Eliminar lógicamente un blueprint
      operationId: >-
        delete_org_blueprint_v3beta1_organizations__org_id__snapshot_setup_blueprints__blueprint_id__delete
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
        - description: 'ID de la organización (prefijo: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '204':
          description: Respuesta satisfactoria
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuario de servicio (prefijo: cog_)'
      scheme: bearer
      type: http

````